Author Topic: line project on solid  (Read 2229 times)

0 Members and 1 Guest are viewing this topic.

dussla

  • Bull Frog
  • Posts: 291
line project on solid
« on: May 29, 2008, 10:21:53 PM »
hello , friend ,

my idea  hit my head .
so i need some help again

if you see attached file, you can see my problem .

wanted routine .
    line  project   on solid suface

   
pls can you help again ?

daron

  • Guest
Re: line project on solid
« Reply #1 on: May 30, 2008, 09:11:37 AM »
Maybe these values would be of help to you?
Code: [Select]
; IAcad3DSolid: AutoCAD 3dSolid Interface
; Property values:
;   Application (RO) = #<VLA-OBJECT IAcadApplication 00d73d3c>
;   Centroid (RO) = (487.541 -708.312 86.6786)
;   Document (RO) = #<VLA-OBJECT IAcadDocument 01463550>
;   Handle (RO) = "22B"
;   HasExtensionDictionary (RO) = 0
;   History = 0
;   Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 1586037c>
;   Layer = "0"
;   Linetype = "ByLayer"
;   LinetypeScale = 1.0
;   Lineweight = -1
;   Material = "ByLayer"
;   MomentOfInertia (RO) = (1.21448e+013 6.45305e+012 1.8097e+013)
;   ObjectID (RO) = 2126775512
;   ObjectName (RO) = "AcDb3dSolid"
;   OwnerID (RO) = 2126769400
;   PlotStyleName = "ByLayer"
;   Position = Exception occurred
;   PrincipalDirections (RO) = (0.992437 0.0 0.122753 0.0 1.0 0.0 ... )
;   PrincipalMoments (RO) = (1.84668e+011 6.97895e+011 7.51507e+011)
;   ProductOfInertia (RO) = (-8.10505e+012 -1.44098e+012 1.0609e+012)
;   RadiiOfGyration (RO) = (719.341 524.351 878.099)
;   ShowHistory = 0
;   SolidType (RO) = Exception occurred
;   TrueColor = #<VLA-OBJECT IAcadAcCmColor 15a02738>
;   Visible = -1
;   Volume (RO) = 2.34704e+007
You obtain them by:
Code: [Select]
(setq ent (entsel "\nSelect an object: ")
obj (vlax-ename->vla-object (car ent))
)
You process the info by taking the property name, i.e. "PrincipalDirections" and adding vla-get- in front of it.
Code: [Select]
(setq PDir (vla-get-principaldirections obj))HTH. Give this a shot in your vlide. It will help you see all the things that are exposed when you inspect your code.

dussla

  • Bull Frog
  • Posts: 291
Re: line project on solid
« Reply #2 on: June 01, 2008, 08:24:42 PM »
i found  this routine
is this     routine which  concerned ?

DEVITG

  • Bull Frog
  • Posts: 480
Re: line project on solid
« Reply #3 on: June 02, 2008, 12:08:10 AM »
hello , friend ,

my idea  hit my head .
so i need some help again

if you see attached file, you can see my problem .

wanted routine .
    line  project   on solid suface

   
pls can you help again ?


  Do you handle VL functions?


   
   





Location @ Córdoba Argentina Using ACAD 2019  at Window 10

dussla

  • Bull Frog
  • Posts: 291
Re: line project on solid
« Reply #4 on: June 02, 2008, 03:01:39 AM »
yes
i tested vla-get-PrincipalDirections.

but that say  direction only.

if you see my dwg file , i need   intersection distance   from  line to solid .
but i can;t get intersection distance .
can you my letters ?
at any way , sorry my poor english

DEVITG

  • Bull Frog
  • Posts: 480
Re: line project on solid
« Reply #5 on: June 02, 2008, 09:36:42 AM »
Hi Dussla , what is your native language?

Location @ Córdoba Argentina Using ACAD 2019  at Window 10